Create Payment
The payments API allows you to add payments for your referrals/leads. If you want to track a one-off payment, just don’t specify subscription_id, interval and interval_count.
curl --request POST \
--url https://api.getreditus.com/api/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "<string>",
"idempotency_key": "<string>",
"referral_uid": "<string>",
"referral_email": "<string>",
"referral_id": "<string>",
"subscription_id": "<string>",
"interval": "<string>",
"interval_count": 123
}
'import requests
url = "https://api.getreditus.com/api/v1/payments"
payload = {
"amount": 123,
"currency": "<string>",
"idempotency_key": "<string>",
"referral_uid": "<string>",
"referral_email": "<string>",
"referral_id": "<string>",
"subscription_id": "<string>",
"interval": "<string>",
"interval_count": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currency: '<string>',
idempotency_key: '<string>',
referral_uid: '<string>',
referral_email: '<string>',
referral_id: '<string>',
subscription_id: '<string>',
interval: '<string>',
interval_count: 123
})
};
fetch('https://api.getreditus.com/api/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {
"amount": 123,
"currency": "<string>",
"idempotency_key": "<string>",
"referral_uid": "<string>",
"referral_email": "<string>",
"referral_id": "<string>",
"subscription_id": "<string>",
"interval": "<string>",
"interval_count": 123
}
}
}{
"errors": [
{
"title": "<string>",
"details": {
"amount": [
"must be an integer"
],
"idempotency_key": [
"has already been taken"
]
}
}
]
}{
"errors": [
{
"title": "<string>",
"details": "Referral not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Payment amount (in cents)
Payment currency - (lowercase, i.e. usd)
A unique string to identify this payment. Used to prevent double payments.
required - Your internal ID of the referral/user
required if referral_id / referral_uid not set - Email of the referral/lead
required if referral_email / referral_uid not set - Reditus id of the referral/lead
Should be the id of the subscription on your side. Used to associate subsequent payments to this subscription.
Subscription interval ('month'/'year')
Number of intervals the payment is made (default: 1)
Response
Accepted
Show child attributes
Show child attributes
